Package com.documentum.djcb

# Interface IDfTracer

public interface IDfTracer
Created by IntelliJ IDEA. User: oscherov Date: Mar 24, 2003 Time: 11:37:16 AM To change this template use Options | File Templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `enableTrace(boolean onOff)`
  This method allows programmable switching of the tracing on/off
  `void`
  `exceptionInfo(String info, String category)`
  This method allows tracing of the additonal information inside cath clause of the traceable method
  `boolean`
  `isTraceEnabled()`
  This method shows state of the tracing
  `boolean`
  `isTraceEnabledEx(String category)`
  This method shows status of the trace for given tracing category
  `void`
  `message(String msg, String category)`
  This method allows any trace information in the any desirable place
  `void`
  `traceMethodEntrance(String name, String parameters, String returnType, String category)`
  This method suppose to be called at the entrance of the traceable method to provide check for input invariants.
  `void`
  `traceMethodExit(String name, String result, String category)`
  This method suppose to be called at the traceable method exit.

- ## Method Details

  - ### traceMethodEntrance

    void traceMethodEntrance(String name, String parameters, String returnType, String category)
    This method suppose to be called at the entrance of the traceable method to provide check for input invariants. To provide proper work for tracing mechanism this method should alway be parred with method
    Parameters:
      `name` -
      `parameters` - - traceble method parameters should be converted and combined into a string
      `returnType` -
      `category` -
    See Also:
      - `traceMethodExit(String, String, String)`

  - ### traceMethodExit

    void traceMethodExit(String name, String result, String category)
    This method suppose to be called at the traceable method exit. It should be called in pair with
    Parameters:
      `name` -
      `result` -
      `category` -
    See Also:
      - `traceMethodEntrance(String, String, String, String)`

  - ### message

    void message(String msg, String category)
    This method allows any trace information in the any desirable place
    Parameters:
      `msg` -
      `category` -

  - ### exceptionInfo

    void exceptionInfo(String info, String category)
    This method allows tracing of the additonal information inside cath clause of the traceable method
    Parameters:
      `info` -
      `category` -

  - ### enableTrace

    void enableTrace(boolean onOff)
    This method allows programmable switching of the tracing on/off
    Parameters:
      `onOff` - - true - means start tracing -false means stop tracing

  - ### isTraceEnabled

    boolean isTraceEnabled()
    This method shows state of the tracing
    Returns:
      -true means tracing is on - false means tracing is off

  - ### isTraceEnabledEx

    boolean isTraceEnabledEx(String category)
    This method shows status of the trace for given tracing category
    Parameters:
      `category` -
    Returns:
      -true means tracing is on - false means tracing is off